Bug 655117 - Nautilus raises error on WebDav when there is no error
Summary: Nautilus raises error on WebDav when there is no error
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-19 16:33 UTC by Assen Totin
Modified: 2015-03-03 22:55 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-08-16 20:52:13 UTC


Attachments (Terms of Use)

Description Assen Totin 2010-11-19 16:33:30 UTC
Description of problem:

When copying, renaming etc. files over WebDav from Nautilus, it often raises error messages which are not true - the requested action is actually carried on the server. Since NAutilus doe snot properly refresh the folder (see bug 655114), the user has no way of knowing that his action was completed successfully. 

Version-Release number of selected component (if applicable):

nautilus-2.32.1-1.fc14.i686

How reproducible:
Every time.

Steps to Reproduce:
1. Connect to a Secure WebDav share, log in with a username and password.
2. Copy a file to the share.
3. Try renaming the file (highlight, press F2, enter new name, press Enter).
  
Actual results:
Error message is raised saying the requested action could not be performed.

Expected results:
No error message, since the action is actually performed OK (as can be seen after closing the error message dialogue and pressing F5)

Additional info:
Likely needs escalation upstream as other distributions seem to be affected too for quite some time: https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/512496

If the same share is mounted using mount.davfs, then Nautilus works fine (copies, renames files without any warning and the window is refreshed immediately).

Comment 1 Fedora End Of Life 2012-08-16 20:52:15 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.